/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.7 $
 * $Date: 2005/07/06 18:34:34 $
 *
 */


#ifndef ARTICLEDOWNLOADER_H
#define ARTICLEDOWNLOADER_H

#include <string>
#include <time.h>

#include "ArticleJob.h"
#include "Thread.h"

class ArticleDownloader : public Thread
{
protected:
    ArticleJob*		m_pJob;
    char*			m_szTempDir;
	bool			m_bCancelDownload;
	time_t			m_tLastUpdateTime;
public:
					ArticleDownloader(ArticleJob* job, char* tempdir);
					~ArticleDownloader();
	
	virtual void 	Run();
	void			CancelDownload() { m_bCancelDownload = true; }
	ArticleJob*		GetArticleJob() { return m_pJob; }
	time_t			GetLastUpdateTime() { return m_tLastUpdateTime; }
	void			SetLastUpdateTimeNow() { m_tLastUpdateTime = ::time( NULL ); }
};

#endif
