/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.9 $
 * $Date: 2005/07/06 18:34:34 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "ArticleJob.h"
#include "Job.h"
#include "global.h"

ArticleJob::ArticleJob(char* iMessageID) : Job(JOBTYPE_ARTICLE)
{
	debug("ArticleJob::ArticleJob(news_article*)\n");
	SetMessageID( iMessageID );
	m_szResultFilename = NULL;
	m_Groups.clear();
}
                                                 
ArticleJob::~ArticleJob()
{
	SetResultFilename(NULL);
}

char* ArticleJob::GetResultFilename()
{
	return m_szResultFilename;
}

void ArticleJob::SetResultFilename(char* v)
{
	if( m_szResultFilename )
	{
	    free( m_szResultFilename );
	}

	if(v)
	{
		m_szResultFilename = strdup(v);
	}
	else
	{
		m_szResultFilename = NULL;
	}
}
