/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.8 $
 * $Date: 2005/07/12 09:37:48 $
 *
 */


#ifndef COORDINATOR_H
#define COORDINATOR_H


#include "MultiServerPool.h"
#include "NZBQueue.h"
#include "Options.h"
#include "FileDownloader.h"

class Coordinator
{
 protected:
    
    NZBQueue*						m_pQueue;
    Options*						m_pOptions;
	bool							m_bDownloadCanceled;
	std::vector<FileDownloader*>	m_FileDownloads;

 public:
    								Coordinator(NZBQueue* queue, Options* options);
									~Coordinator();
	void 							Start();
	void 							GetDestinationDir( char* szBuffer );
	void							CancelDownload();
	bool							GetDownloadCanceled() { return m_bDownloadCanceled; }
};

#endif
