/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.8 $
 * $Date: 2005/06/27 21:31:18 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "DownloadJob.h"
#include "global.h"

DownloadJob::DownloadJob() : Job(JOBTYPE_DOWNLOAD)
{
  debug("DownloadJob::DownloadJob(news_articles*)\n");
  m_MessageIDs.clear();
  m_Groups.clear();
  m_szSubject = NULL;
  m_lSize = 0;
}

DownloadJob::~ DownloadJob()
{
	if( m_szSubject )
	{
		delete m_szSubject;
		m_szSubject = NULL;
	}

	m_MessageIDs.clear();
	m_Groups.clear();
}

void DownloadJob::SetSubject( const char* szSubject )
{
	m_szSubject = strdup( szSubject );
}

