/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.7 $
 * $Date: 2005/06/27 21:31:18 $
 *
 */


#ifndef DOWNLOADJOB_H
#define DOWNLOADJOB_H

#include <vector>
#include <string>

#include "Job.h"

class DownloadJob : public Job
{
 public:

    DownloadJob();
	~DownloadJob();

    std::vector<char*>* getMessageIDs() { return &m_MessageIDs; }
    char* getSubject() { return m_szSubject; }
    void SetSubject(const char* szSubject);
    void setSize(long long s) { m_lSize = s; }
    long long getSize() { return m_lSize; }
    std::vector<char*>* getGroups() { return &m_Groups; }

 protected:
    
    std::vector<char*>	m_MessageIDs;
    std::vector<char*>	m_Groups;
	char* 				m_szSubject;
    long long 			m_lSize;

};

#endif
