/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.2 $
 * $Date: 2005/07/13 15:06:03 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <stdlib.h>
#include <stdio.h>
#include "global.h"

#include "GlobalControl.h"

GlobalControl::GlobalControl()
{
	m_szLogFileName			= NULL;
	m_bUseLog				= false;
	m_bPause				= false;
	m_bQuit					= false;
	m_bCreateBrokenFileLog	= false;
	m_fDownloadRate			= -1.0f;
	m_iProgramPID			= 0;
	m_eInfoTarget			= eScreen;
	m_eWarningTarget		= eScreen;
	m_eErrorTarget			= eScreen;
}

GlobalControl::~GlobalControl()
{
	if( m_szLogFileName )
	{
		free( m_szLogFileName );
	}
}

GlobalControl* GlobalControl::GetInstance()
{
	static GlobalControl singleton;
	return &singleton;
}

void GlobalControl::SetLogFileName( const char* szLogFileName )
{
	if( m_szLogFileName )
	{
		free( m_szLogFileName );
	}

	if( szLogFileName )
	{
		m_szLogFileName = strdup( szLogFileName );
	}
}
