/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2005  Bo Cordes <placebodk@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#ifndef GLOBALCONTROL_H
#define GLOBALCONTROL_H

class GlobalControl
{
public:
	enum EMessageTarget
	{
		eNone,
		eScreen,
		eLog,
		eBoth
	};
	
private:
	char* 					m_szLogFileName;
	bool					m_bUseLog;
	bool					m_bPause;
	bool					m_bQuit;
	float					m_fDownloadRate;
	int						m_iProgramPID;
	bool					m_bCreateBrokenFileLog;

	EMessageTarget			m_eInfoTarget;
	EMessageTarget			m_eWarningTarget;
	EMessageTarget			m_eErrorTarget;
public:
    						GlobalControl();
							~GlobalControl();
    
	static GlobalControl*	GetInstance();

	void					SetLogFileName( const char* szLogFileName );
	const char*				GetLogFileName() const { return m_szLogFileName; }
	void					SetUseLog( bool bOnOff ) { m_bUseLog = bOnOff; }
	bool					GetUseLog() const { return m_bUseLog; }
	void					SetPause( bool bOnOff ) { m_bPause = bOnOff; }
	bool					GetPause() const { return m_bPause; }
	void					TogglePause() { m_bPause = !m_bPause; }
	void					SetQuit( bool bQuit ) { m_bQuit = bQuit; }
	bool					GetQuit() const { return m_bQuit; }
	void					SetDownloadRate( float fRate ) { m_fDownloadRate = fRate; }
	float					GetDownloadRate() const { return m_fDownloadRate; }
	void					SetProgramPID( int iPID ) { m_iProgramPID = iPID; }
	int						GetProgramPID() const { return m_iProgramPID; }
	void					SetCreateBrokenFileLog( bool bOnOff ) { m_bCreateBrokenFileLog = bOnOff; }
	bool					GetCreateBrokenFileLog() const { return m_bCreateBrokenFileLog; }
	
	void					SetInfoTarget( EMessageTarget eTarget ) { m_eInfoTarget = eTarget; }
	EMessageTarget			GetInfoTarget() const { return m_eInfoTarget; }
	void					SetWarningTarget( EMessageTarget eTarget ) { m_eWarningTarget = eTarget; }
	EMessageTarget			GetWarningTarget() const { return m_eWarningTarget; }
	void					SetErrorTarget( EMessageTarget eTarget ) { m_eErrorTarget = eTarget; }
	EMessageTarget			GetErrorTarget() const { return m_eErrorTarget; }
};

#endif
