/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.5 $
 * $Date: 2005/07/06 18:34:34 $
 *
 */


#ifndef JOB_H
#define JOB_H

#include "Observable.h"

#define JOBTYPE_DOWNLOAD 1
#define JOBTYPE_ARTICLE 2

#define JOBSTATUS_WAITING 0
#define JOBSTATUS_ASSIGNED 1
#define JOBSTATUS_RUNNING 2
#define JOBSTATUS_FINISHED 3
#define JOBSTATUS_FAILED 4

class Job : public Observable
{
	int			m_iType;
	int			m_iStatus;
public:

    			Job(int type);

	void 		SetType( int iType ) { m_iType = iType; }
	int 		GetType() { return m_iType; }
    void 		SetStatus( int iStatus );
    int 		getStatus() { return m_iStatus; }
};

#endif
