/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.9 $
 * $Date: 2005/07/12 09:37:48 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "MultiServerPool.h"
#include "global.h"

MultiServerPool::MultiServerPool() 
{
	debug("MultiServerPool::MultiServerPool()");
	m_ServerPool.clear();
}

void MultiServerPool::AddServerPool(SingleServerPool* ssp)
{
	m_ServerPool.push_back(ssp);
}


NNTPConnection* MultiServerPool::GetConnection(unsigned int level)
{
	if (level >= m_ServerPool.size())
		return NULL;
	SingleServerPool* ssp = m_ServerPool[level];
	if (!ssp)
		return NULL;
	return ssp->GetConnection();
}

void MultiServerPool::FreeConnection(int level, NNTPConnection* conn)
{
	SingleServerPool* ssp = m_ServerPool[level];
	if (!ssp)
		return;
	ssp->FreeConnection(conn);
}

MultiServerPool* MultiServerPool::GetInstance()
{
	static MultiServerPool singleton;
	return &singleton;
}
