/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.6 $
 * $Date: 2005/07/12 09:37:48 $
 *
 */


#ifndef NNTPCONNECTION_H
#define NNTPCONNECTION_H

#include <sys/socket.h>
#include <stdio.h>
#include <vector>

#include "NewsServer.h"
#include "Connection.h"

class NNTPConnection : public Connection
{
	std::vector <char*> 	m_UnavailableGroups;
	char* 					m_szActiveGroup;
public:
    						NNTPConnection(NewsServer* server);
    						~NNTPConnection();

    char* 					Request(char* req);
    int 					Authenticate();
	int 					AuthInfoUser( int iRecur=0 );
	int 					AuthInfoPass( int iRecur=0 );
    int 					JoinGroup(char* grp);
protected:
    virtual int 			DoConnect();
    virtual int 			DoDisconnect();
};


#endif

