/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2005  Bo Cordes Petersen <placebodk@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.3 $
 * $Date: 2005/03/03 21:51:08 $
 *
 */


#ifndef __NZBCLIENT_H__
#define __NZBCLIENT_H__

#include "Options.h"
#include "NZBClientServerMessageBase.h"

class NZBClient
{
	Connection* 			m_pConnection;
	int						m_iPort;
	NetAddress*				m_pNetAddress;
	const char* 			m_szNetAddress;
public:
							NZBClient();
							~NZBClient();

	// Client -> Server requests
	bool 					RequestServerDownloadFile( const char* szName );
	bool					RequestServerDownloadList();
	bool					RequestServerDownloadPauseUnpause( bool bPause );
	bool					RequestServerSetDownloadRate( float fRate );
private:
	bool					InitConnection();
	void					InitMessageBase( SNZBMessageBase* pMessageBase, int iRequest, int iSize );
};

#endif
