/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.3 $
 * $Date: 2005/06/27 21:31:33 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <stdlib.h>

#include "NetAddress.h"
#include "global.h"

NetAddress::NetAddress( const char* szHost, int iPort )
{
	m_szHost = NULL;
	SetHost( szHost );
	SetPort( iPort );
}

NetAddress::~NetAddress()
{
	if( m_szHost )
		free( m_szHost );
		
	m_szHost = NULL;
}

void NetAddress::SetHost(const char* szHost )
{
	if( m_szHost )
		free( m_szHost );
		
	if( szHost )
		m_szHost = strdup( szHost );
	else
		m_szHost = NULL;
}

void NetAddress::SetPort( int iPort )
{
	m_iPort = iPort;
}

char* NetAddress::GetHost()
{
	return m_szHost;
}

int NetAddress::GetPort()
{
	return m_iPort;
}
