/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.5 $
 * $Date: 2005/07/13 15:06:03 $
 *
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string.h>
#include <stdlib.h>

#include "NewsServer.h"
#include "global.h"

NewsServer::NewsServer(char* host, int port, char* user, char* pass) : NetAddress(host,port)
{
	m_szUser = NULL;
	SetUser(user);
	m_szPassword = NULL;
	SetPassword(pass);
}

NewsServer::~NewsServer()
{
	free( m_szUser );
	m_szUser = NULL;
	free( m_szPassword );
	m_szPassword = NULL;
}

void NewsServer::SetUser(char* v)
{
	if (m_szUser)
	{
		free(m_szUser);
	}
	
	if (v)
	{
		m_szUser = strdup(v);
	}
	else
	{
		m_szUser = v;
	}
}

char* NewsServer::GetUser()
{
	return m_szUser;
}

void NewsServer::SetPassword(char* v)
{
	if (m_szPassword)
	{
		free(m_szPassword);
	}
	
	if (v)
	{
		m_szPassword = strdup(v);
	}
	else
	{
		m_szPassword = v;
	}
}

char* NewsServer::GetPassword()
{
	return m_szPassword;
}
