/*
 *  This file if part of nzbget
 *
 *  Copyright (C) 2004  Sven Henkel <sidddy@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Revision: 1.8 $
 * $Date: 2005/07/06 18:34:34 $
 *
 */


#include <pthread.h>
#include <stdio.h>

#include "global.h"
#include "Thread.h"

int g_iThreadCount = 0;
	
Thread::Thread()
{
	//  debug("Thread()");
	pthread_attr_init( &m_Attr );
	pthread_attr_setdetachstate( &m_Attr, PTHREAD_CREATE_DETACHED );
	pthread_attr_setinheritsched( &m_Attr , PTHREAD_INHERIT_SCHED );
	m_bRunning = false;
}

Thread::~Thread()
{
	debug("~Thread()");
	//  this->stop();
}

void Thread::Start()
{
	debug( "void Thread::start()" );
	m_bRunning = true;
	m_bRunning = !pthread_create(&m_Thread, &m_Attr, Thread::thread_handler, (void *) this);
}

void Thread::Stop()
{
	debug( "void Thread::stop()" );
	m_bRunning = false;
	g_iThreadCount--;
	//pthread_cancel(m_Thread);
	//pthread_join(m_Thread, NULL);
	pthread_exit( NULL );
}

void *Thread::thread_handler(void *pObject)
{
	g_iThreadCount++;
	if( pObject )
	{
		((Thread*)pObject)->Run();
	}
	return NULL;
}
